<?php

namespace Biljnasinergija.rs\Proba\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Biljnasinergija.rs\Proba\Interfaces\PEXIMRepositoryInterface;

class PEXIMPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Biljnasinergija.rs\PEXIM\Interfaces\PEXIMRepositoryInterface $p_e_x_i_m
     *
     * @return type
     */
    public function __construct(PEXIMRepositoryInterface $p_e_x_i_m)
    {
        $this->model = $p_e_x_i_m;
        parent::__construct();
    }

    /**
     * Show p_e_x_i_m's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $p_e_x_i_m_s = $this->model->all();

        return $this->theme->of('proba::public.p_e_x_i_m.index', compact('p_e_x_i_m_s'))->render();
    }

    /**
     * Show p_e_x_i_m.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $p_e_x_i_m = $this->model->findBySlug($slug);

        return $this->theme->of('proba::public.p_e_x_i_m.show', compact('p_e_x_i_m'))->render();
    }
}
